//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef ALIGNMENTPOINT_H
#define ALIGNMENTPOINT_H

#include <QPointF>
//#include <QtWidgets/QGraphicsItem>
//#include <QObject>
//#include "gatcoordinatetransform.h"
#include "gat-core_global.h"

class GATCORESHARED_EXPORT AlignmentPoint
        //: public QObject, public QGraphicsItem
{
    //Q_OBJECT
    //Q_INTERFACES(QGraphicsItem)
public:

//    enum Modes{
//        noMode = 0,
//        moveMode,
//        deleteMode,
//    };
    enum PointType{
        Line = 0,
        CurveLeft,
        CurveRight
    };

    //AlignmentPoint(QObject *parent = nullptr);
    //AlignmentPoint(const double, const double, QObject *parent = nullptr);
    //AlignmentPoint(const AlignmentPoint &copyPoint);

    AlignmentPoint();
    AlignmentPoint(const double, const double);

    double getNorthing();
    double getEasting();
    double getStationing();
    QPointF getCenter();
    AlignmentPoint::PointType getPointType();
    void setNorthing(const double);
    void setEasting(const double);
    void setStationing(const double);
    void setCenter(const double, const double);
    void setCenterNorthing(const double northing);
    void setCenterEasting(const double easting);
    void setPointType(const AlignmentPoint::PointType);
    bool updateAlignment();
    //void setUpdateFlag(bool * aligmentUpdateFlag);

    QPointF getPointF();
    //QRectF boundingRect() const override;

    //qreal width() const;
    //qreal height() const;
    //void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    //void setPos(const QPointF&);

//signals:
    //void pointMoved(AlignmentPoint* point);
    //void deletePoint(AlignmentPoint* point);

//public slots:
    //void setMode(const int);

protected:
    //void mousePressEvent(QGraphicsSceneMouseEvent *event) override;
    //void mouseReleaseEvent(QGraphicsSceneMouseEvent *event) override;

private:
    double mNorthing;
    double mEasting;
    double mStationing;
    double mCenterNorthing;
    double mCenterEasting;
    qreal mRadius;
    //bool* mUpdateAlignment;
    AlignmentPoint::PointType mPointType;
    //GATCoordinateTransform & mCoordinateTransform;
    //int mMode;
};
#endif // ALIGNMENTPOINT_H
