//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "alignmentpointsmodel.h"
#include <QDebug>

AlignmentPointsModel::AlignmentPointsModel(QObject *parent) : ChildTableModel (parent)
{

}



QVariant AlignmentPointsModel::headerData(int section, const Qt::Orientation orientation, int role) const
{
    if(role == Qt::DisplayRole){
        if(orientation == Qt::Horizontal){
            if(section == 0){
                return "Northing";
            }
            else if (section == 1){
                return "Easting";
            }
            else if (section == 2){
                return "Stationing";
            }
            else if (section == 3){
                return "Type";
            }
            else if (section == 4){
                return "Center Northing";
            }
            else if(section == 5){
                return "Center Easting";
            }
            else
                return section;
        }
        if(orientation == Qt::Vertical){
            return section;
        }
    }

    return QVariant();
}


