
//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "gatcoordinatetransform.h"

GATCoordinateTransform &GATCoordinateTransform::instance()
{
    static GATCoordinateTransform singleton;
    return singleton;
}

GATCoordinateTransform::~GATCoordinateTransform()
{

}

QPointF GATCoordinateTransform::toPlottingCoordinates(const QPointF point) const
{
    return QPointF(point.x()-mFalseEasting, point.y()-mFalseNorthing);
}

QPointF GATCoordinateTransform::toDataCoordinates(const QPointF point) const
{
    return QPointF(point.x()+mFalseEasting, point.y()+mFalseNorthing);
}

void GATCoordinateTransform::setFalseNorthing(const double northing)
{
    mFalseNorthing = northing;
}

void GATCoordinateTransform::setFalseEasting(const double easting)
{
    mFalseEasting = easting;
}

GATCoordinateTransform::GATCoordinateTransform()
{
    mFalseEasting = 0;
    mFalseNorthing = 0;
}

