
//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef GATCOORDINATETRANSFORM_H
#define GATCOORDINATETRANSFORM_H

#include <QPointF>
#include "gat-core_global.h"

//This is a helper class to allow coordinates to be transformed.
//Starting this as a simple offset will migrate to more complex coordinates as needed.

class GATCORESHARED_EXPORT GATCoordinateTransform
{

public:
    static GATCoordinateTransform& instance();
    ~GATCoordinateTransform();
    QPointF toPlottingCoordinates(const QPointF) const;
    QPointF toDataCoordinates(const QPointF) const;
    void setFalseNorthing(const double);
    void setFalseEasting(const double);
protected:
    GATCoordinateTransform();
    GATCoordinateTransform & operator=(const GATCoordinateTransform& rhs);

private:
    double mFalseNorthing;
    double mFalseEasting;
};

#endif // GATCOORDINATETRANSFORM_H
