//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef GATDATAMANAGERQMLPLUGIN_H
#define GATDATAMANAGERQMLPLUGIN_H

#include <QObject>

#include "gatdatamanager.h"
#include "gat-core_global.h"

class GATCORESHARED_EXPORT GATDataManagerQMLPlugin : public QObject
{
    Q_OBJECT
    //Q_PLUGIN_METADATA(IID "com.tailwaterlimited.gat")
    //Q_INTERFACES(GATDataManager)

public:
    explicit GATDataManagerQMLPlugin(QObject *parent = nullptr);
    Q_INVOKABLE void setDatabaseFileName(const QString& fileName);

signals:
    void databaseUpdated();
    void databaseAboutToBeUpdated();

private:
    GATDataManager& gatDataManager = GATDataManager::instance();
};

#endif // GATDATAMANAGERQMLPLUGIN_H
