#ifndef GATLANDXML_H
#define GATLANDXML_H

#include <QXmlStreamReader>
#include <QFile>
#include "alignment.h"

//Built by example from http://3gfp.com/wp/2014/07/three-ways-to-parse-xml-in-qt/

class GATCORESHARED_EXPORT GATLandXML
{
public:
    GATLandXML(QString fileName);
    void readXML();
    void readAlignmentXML();
    void processLandXML();
    void processAlignments();
    void processAlignment();
    void processCoordGeom();
    void processLine();
    void processCurve();
    std::unique_ptr<Alignment> getAlignment();

private:
    QXmlStreamReader xmlReader;
    QFile* inLandXMLFile;
    std::unique_ptr<Alignment> alignment;
    qreal endNorthing;
    qreal endEasting;
};

#endif // GATLANDXML_H
