
//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef HYDRAULICPARAMETERS_H
#define HYDRAULICPARAMETERS_H

#include <QString>

class HydraulicParameters
{
public:
    HydraulicParameters();
    void setStage(const double);
    void setDepthMax(const double);
    void setArea(const double);
    void setWettedPerimeter(const double);
    void setWidth(const double);
    void setMannings(const double);
    void setDescription(const QString);

    double getStage() const;
    double getDepthMax() const;
    double getArea() const;
    double getWettedPerimeter() const;
    double getWidth() const;
    double getMannings() const;
    QString getDescription() const;

private:
    double mStage;
    double mDepthMax;
    double mArea;
    double mWettedPerimeter;
    double mWidth;
    double mMannings;
    QString mDescription;
};

#endif // HYDRAULICPARAMETERS_H
