//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef POINT_H
#define POINT_H
#include <QString>
#include <QtWidgets/QGraphicsItem>
#include <QPainter>
#include "gatcoordinatetransform.h"

class Point
{
public:
    Point();
    Point(const double, const double, const double);
    Point(const double, const double, const double, const QString &);
    Point(const Point &copyPoint);
    void offsetElevation(const double);
    void setDescription(const QString &);
    void setPointNumber(const int);
    void setNorthing(const double);
    void setEasting(const double);
    void setElevation(const double);
    double getElevation() const;
    double getNorthing() const;
    double getEasting() const;
    int getPointNumber() const;
    QString getDescription() const;

    QPointF getPointF();
    qreal x() const;
    qreal y() const;


protected:

private:
    double northing;
    double easting;
    double elevation;
    QString description;
    int pointNumber;
};

#endif // POINT_H
