
//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef POINTDESCRIPTIONMODEL_H
#define POINTDESCRIPTIONMODEL_H

#include <QAbstractListModel>
#include <QList>
#include <QString>
#include "pointsmodel.h"
#include "gat-core_global.h"

class GATCORESHARED_EXPORT PointDescriptionModel : public QAbstractListModel
{
public:
    PointDescriptionModel(PointsModel* mModel, QObject *parent = nullptr);

    int rowCount(const QModelIndex &parent = QModelIndex()) const override;
    QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const override;
private:
   QList<QString> pointDescriptions;
};

#endif // POINTDESCRIPTIONMODEL_H
