//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef PROFILEDAO_H
#define PROFILEDAO_H

#include <memory>
#include <vector>

#include "projectedpoint.h"
#include "profile.h"

class QSqlDatabase;

class ProfileDao
{
public:
    ProfileDao(QSqlDatabase &);
    void init() const;
    //int addProfile(std::unique_ptr<Profile> &) const;
    std::unique_ptr<std::vector<std::unique_ptr<Profile>>> getProfiles();

private:
    QSqlDatabase& mDatabase;
    std::unique_ptr<std::vector<std::unique_ptr<ProjectedPoint>>> getPoints(const int xsId) const;
};

#endif // PROFILEDAO_H
