#include "profilemeasurement.h"
#include "profilemeasurementtypes.h"

ProfileMeasurement::ProfileMeasurement()
{
    mPointOneX = -9999;
    mPointOneY = -9999;
    mPointTwoX = -9999;
    mPointTwoY = -9999;
    mType = 0;
    mMeasurementId = -9;
}

ProfileMeasurement::ProfileMeasurement(qreal xOne, qreal yOne, qreal xTwo, qreal yTwo)
{
    mPointOneX = xOne;
    mPointOneY = yOne;
    mPointTwoX = xTwo;
    mPointTwoY = yTwo;
    mType = 0;
    //Measurement Id is set from the database.
    mMeasurementId = -9;
}

void ProfileMeasurement::setPointOne(qreal x, qreal y)
{
    mPointOneX = x;
    mPointOneY = y;
}

void ProfileMeasurement::setPointTwo(qreal x, qreal y)
{
    mPointTwoX = x;
    mPointTwoY = y;
}

void ProfileMeasurement::setPointOneX(qreal x)
{
    mPointOneX = x;
}

void ProfileMeasurement::setPointOneY(qreal y)
{
    mPointOneY = y;
}

void ProfileMeasurement::setPointTwoX(qreal x)
{
    mPointTwoX = x;
}

void ProfileMeasurement::setPointTwoY(qreal y)
{
    mPointTwoY = y;
}

void ProfileMeasurement::setPoints(qreal xOne, qreal yOne, qreal xTwo, qreal yTwo)
{
    mPointOneX = xOne;
    mPointOneY = yOne;
    mPointTwoX = xTwo;
    mPointTwoY = yTwo;
}

void ProfileMeasurement::setPoints(QPointF pointOne, QPointF pointTwo)
{
    mPointOneY = pointOne.y();
    mPointOneX = pointOne.x();
    mPointTwoY = pointTwo.y();
    mPointTwoX = pointTwo.x();
}

void ProfileMeasurement::setType(int type)
{
    mType = type;
}

void ProfileMeasurement::setMeasurementId(const int id)
{
    mMeasurementId = id;
}

int ProfileMeasurement::getType() const
{
    return mType;
}

QPointF ProfileMeasurement::getPointOne() const
{
    return QPointF(mPointOneX, mPointOneY);
}

QPointF ProfileMeasurement::getPointTwo() const
{
    return QPointF(mPointTwoX, mPointTwoY);
}

qreal ProfileMeasurement::getPointOneY() const
{
    return mPointOneY;
}

qreal ProfileMeasurement::getPointOneX() const
{
    return mPointOneX;
}

qreal ProfileMeasurement::getPointTwoY() const
{
    return mPointTwoY;
}

qreal ProfileMeasurement::getPointTwoX() const
{
    return mPointTwoX;
}

qreal ProfileMeasurement::getMeasurement() const
{
    ProfileMeasurementTypes measTypes;
    switch(measTypes.getCalculationMethod(mType)){
    case 0:
        return mPointTwoY - mPointOneY;
    case 1:
        return mPointTwoX-mPointOneX;
    case 2:
        return (mPointTwoY-mPointOneY)/(mPointTwoX-mPointOneX);
    }
    return -9;
}

int ProfileMeasurement::getMeasurementId() const
{
    return mMeasurementId;
}


