#ifndef PROFILEMEASUREMENT_H
#define PROFILEMEASUREMENT_H

#include <QtCore>

class ProfileMeasurement
{
public:
    ProfileMeasurement();
    ProfileMeasurement(qreal xOne, qreal yOne, qreal xTwo, qreal yTwo);
    void setPointOne(qreal x, qreal y);
    void setPointTwo(qreal x, qreal y);
    void setPointOneX(qreal x);
    void setPointOneY(qreal y);
    void setPointTwoX(qreal x);
    void setPointTwoY(qreal y);

    void setPoints(qreal xOne, qreal yOne, qreal xTwo, qreal yTwo);
    void setPoints(QPointF pointOne, QPointF pointTwo);
    void setType(int type);
    void setMeasurementId(const int id);

    int getType() const;
    QPointF getPointOne() const;
    QPointF getPointTwo() const;
    qreal getPointOneY() const;
    qreal getPointOneX() const;
    qreal getPointTwoY() const;
    qreal getPointTwoX() const;
    qreal getMeasurement() const;
    int getMeasurementId() const;

private:
    qreal mPointOneX;
    qreal mPointTwoX;
    qreal mPointOneY;
    qreal mPointTwoY;
    int mMeasurementId;
    int mType;

};

#endif // PROFILEMEASUREMENT_H
