#ifndef PROFILEMEASUREMENTTYPES_H
#define PROFILEMEASUREMENTTYPES_H

#include <QVector>
#include <QString>
#include "gat-core_global.h"

class GATCORESHARED_EXPORT ProfileMeasurementTypes
{
public:
    QString getTypeName(const int type) const;
    int measurementsCount() const;
    int getMeasurementType(const int type) const;
    int getCalculationMethod(const int type) const;
private:
    const QVector<QString> GATProfileMeasurementType = {"pool to pool spacing",//0
                                                        "pool max depth",//1
                                                        "pool slope",//2
                                                        "pool length",//3
                                                        "riffle slope",//4
                                                        "riffle max depth",//5
                                                        "riffle spacing",//6
                                                        "glide slope",//7
                                                        "glide max depth",//8
                                                        "run slope",//9
                                                        "run depth",//10
                                                        "misc slope",//11
                                                        "misc depth",//12
                                                        "misc spacing",//13
                                                        "point bar slope"};//14
    //Depth = 0; Length = 1; Slope = 2
    const QVector<int> GATProfileeMeasurementCalcMethod = {
        1,//0
        0,//1
        2,//2
        1,//3
        2,//4
        0,//5
        1,//6
        2,//7
        0,//8
        2,//9
        0,//10
        2,//11
        0,//12
        1,//13
        2};//14
};

#endif // PROFILEMEASUREMENTTYPES_H
