#ifndef ALIGNMENTGRAPHICSITEM_H
#define ALIGNMENTGRAPHICSITEM_H

#include <QGraphicsItem>
#include <QGraphicsSceneMouseEvent>
#include "gatcoordinatetransform.h"


class AlignmentLayer;
class AlignmentGraphicsItem : public QGraphicsItem
{
public:
    AlignmentGraphicsItem(QGraphicsItem* parent = nullptr);
    void setPosition(double easting, double northing);
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    QRectF boundingRect() const override;
    qreal width() const;
    qreal height() const;
    void setPos();
    void setAlignmentLayer(AlignmentLayer *layer);
    void mousePressEvent(QGraphicsSceneMouseEvent *event) override;
    void mouseMoveEvent(QGraphicsSceneMouseEvent *event) override;
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event) override;

private:
    double mNorthing;
    double mEasting;
    double mRadius;
    const GATCoordinateTransform mCoordinateTransform;
    bool mMoving;
    AlignmentLayer* mLayer;
};

#endif // ALIGNMENTGRAPHICSITEM_H
