#ifndef ALIGNMENTLINEGRAPHICSITEM_H
#define ALIGNMENTLINEGRAPHICSITEM_H

#include <QGraphicsItem>
#include <QGraphicsSceneMouseEvent>
#include <QPen>
#include "gatcoordinatetransform.h"
#include "alignmentpoint.h"

class AlignmentLayer;

class AlignmentLineGraphicsItem: public QGraphicsItem
{
public:
    AlignmentLineGraphicsItem(QGraphicsItem* parent = nullptr);
    void setAlignmentLayer(AlignmentLayer *layer);
    void mousePressEvent(QGraphicsSceneMouseEvent *event) override;
    //void mouseMoveEvent(QGraphicsSceneMouseEvent *event) override;
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event) override;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    void setPen(const QPen &);
    void setPointType(AlignmentPoint::PointType pointType);
    void setLine(qreal easting0, qreal northing0, qreal easting1, qreal northing1);
    void setCenter(qreal easting, qreal northing);
    QRectF boundingRect() const override;

private:
    AlignmentLayer* mAlignmentLayer;
    GATCoordinateTransform mCoordinateTransform;
    QPen mPen;
    QPointF mBeginPoint;
    QPointF mEndPoint;
    QPointF mCenterPoint;
    AlignmentPoint::PointType mPointType;
};

#endif // ALIGNMENTLINEGRAPHICSITEM_H
