//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "backgroundimage.h"
#include <QDebug>

BackgroundImage::BackgroundImage(QGraphicsItem* parent):QGraphicsPixmapItem(parent)
{
    //GDALAllRegister();
    mFileName = const_cast<char*>("C:/CloudStation/20160001_GAT/Example/test.tif");
}

//BackgroundImage::~BackgroundImage()
//{
//    GDALDestroy();
//    CPLFreeConfig();
//    CPLCleanupTLS();
//    CPLCleanupMasterMutex();
//}

QPointF BackgroundImage::getInsertPosition()
{
    return topLeft;
}

void BackgroundImage::setBackgroundImage(QString fileName)
{
    QByteArray ba = fileName.toLocal8Bit();
    mFileName = ba.data();
    loadBackgroundImage();
}

void BackgroundImage::loadBackgroundImage()
{
    //loadGeoParameters();
    setPixmap(mPixmap);
    QTransform transform;
    this->setPos(topLeft);
    transform.scale(mScaleX, mScaleY);
    this->setTransform(transform);
}

bool BackgroundImage::loadPixMap()
{
    QImage tiffImage;

    if(!tiffImage.load(mFileName)){
        return false;
    }
    mPixmap = QPixmap(QPixmap::fromImage(tiffImage));
    return true;
}

//bool BackgroundImage::loadGeoParameters()
//{
//    //adfGeoTransform[0] /* top left x */
//    //adfGeoTransform[1] /* w-e pixel resolution */
//    //adfGeoTransform[2] /* 0 */
//    //adfGeoTransform[3] /* top left y */
//    //adfGeoTransform[4] /* 0 */
//    //adfGeoTransform[5] /* n-s pixel resolution (negative value) */

//    //open the dataset
//    mRasterDataset = (GDALDataset*) GDALOpen(mFileName, GA_ReadOnly);

//    if(!(CE_None == mRasterDataset->GetGeoTransform(geoTransform))){
//        GDALClose(mRasterDataset);
//        return false;
//    }



//    //What are the dimensions of the image
//    int xSize = mRasterDataset->GetRasterXSize();
//    int ySize = mRasterDataset->GetRasterYSize();

//    topLeft.setX(geoTransform[0]);
//    topLeft.setY(geoTransform[3]);
//    QImage gdalImage(xSize,ySize,QImage::Format_RGB32);
//    //I think the raster is in ft because of the coordinate system
//    qDebug() << "BackgroundImage::loadGeoParameters" << geoTransform[1];

//    //How many bands are there
//    //int numBands = mRasterDataset->GetRasterCount();
//    //Read data row by row
//    //This creates a place to put the data that is equal to the size of the double multiplied by the number of columns
//    float *dataLineRed = (float *) CPLMalloc(sizeof(float)*xSize);
//    float *dataLineGreen = (float *) CPLMalloc(sizeof(float)*xSize);
//    float *dataLineBlue = (float *) CPLMalloc(sizeof(float)*xSize);

//    GDALRasterBand * rasterBandRed = mRasterDataset->GetRasterBand(1);
//    GDALRasterBand * rasterBandGreen = mRasterDataset->GetRasterBand(2);
//    GDALRasterBand * rasterBandBlue = mRasterDataset->GetRasterBand(3);

//    for(int row = 0; row<ySize; row++){
//        rasterBandRed->RasterIO(GF_Read,0,row,xSize, 1,dataLineRed,xSize,1,GDT_Float32, 0, 0);
//        rasterBandGreen->RasterIO(GF_Read,0,row,xSize, 1,dataLineGreen,xSize,1,GDT_Float32, 0, 0);
//        rasterBandBlue->RasterIO(GF_Read,0,row,xSize, 1,dataLineBlue,xSize,1,GDT_Float32, 0, 0);
//        for(int j = 0; j<xSize; j++){
//            QColor pixelColor;
//            //qDebug() << "RGB " << dataLineRed[j] << " " << dataLineGreen[j] << " " << dataLineBlue[j];
//            pixelColor.setRgb(dataLineRed[j],dataLineGreen[j],dataLineBlue[j]);
//            gdalImage.setPixelColor(j,row,pixelColor);
//        }
//    }

//    //Free the buffer when we are done reading
//    CPLFree(dataLineRed);
//    CPLFree(dataLineBlue);
//    CPLFree(dataLineGreen);
//    if(!mPixmap.convertFromImage(gdalImage)){
//        qDebug() << "BackgroundImage::loadGeoParameter error loading gdalImage";
//    }

//    GDALClose(mRasterDataset);
//    mScaleX = geoTransform[1];
//    mScaleY = geoTransform[5];
//    return true;


//}
