//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef BACKGROUNDIMAGE_H
#define BACKGROUNDIMAGE_H

#include <QGraphicsPixmapItem>
//#include "gdal/include/gdal.h"
//#include "gdal/include/gdal_priv.h"


class BackgroundImage : public QGraphicsPixmapItem
{
public:
    BackgroundImage(QGraphicsItem* parent = nullptr);
    //~BackgroundImage();
    QPointF getInsertPosition();


public slots:
        void setBackgroundImage(QString fileName);
private:
    char* mFileName;
//    GDALDataset *mRasterDataset;
    QPixmap mPixmap;
    bool loadPixMap();
    //bool loadGeoParameters();
    void loadBackgroundImage();
    double geoTransform[6];
    QPointF topLeft;
    double mScaleX;
    double mScaleY;
};

#endif // BACKGROUNDIMAGE_H
