//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "calculatehydraulicparametersdialog.h"
#include "ui_calculatehydraulicparametersdialog.h"
#include <QModelIndex>

CalculateHydraulicParametersDialog::CalculateHydraulicParametersDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CalculateHydraulicParametersDialog)
{
    ui->setupUi(this);
    QObject::connect(this, &QDialog::accepted, this, &CalculateHydraulicParametersDialog::onAccepted);
}

CalculateHydraulicParametersDialog::~CalculateHydraulicParametersDialog()
{
    delete ui;
}

void CalculateHydraulicParametersDialog::setCurrentIndex(QModelIndex &index)
{
    mIndex = index;
}

void CalculateHydraulicParametersDialog::onAccepted()
{
    double maxStage = ui->maxStageInput->value();
    double minStage = ui->minStageInput->value();
    double increment = ui->incrementInput->value();
    emit calculateHydraulicParameters(mIndex, minStage, maxStage, increment);
}


