//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef CALCULATEHYDRAULICPARAMETERSDIALOG_H
#define CALCULATEHYDRAULICPARAMETERSDIALOG_H

#include <QDialog>
#include <QAbstractItemModel>

namespace Ui {
class CalculateHydraulicParametersDialog;
}

class CalculateHydraulicParametersDialog : public QDialog
{
    Q_OBJECT

public:
    explicit CalculateHydraulicParametersDialog(QWidget *parent = nullptr);
    ~CalculateHydraulicParametersDialog();
    void setCurrentIndex(QModelIndex &);

signals:
    void calculateHydraulicParameters(QModelIndex&, double, double, double);
private slots:
    void onAccepted();
private:
    Ui::CalculateHydraulicParametersDialog *ui;
    QModelIndex mIndex;

};

#endif // CALCULATEHYDRAULICPARAMETERSDIALOG_H
