//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "fileutilities.h"

int GAT::getCSVColumnCount(QUrl fileUrl)
{

    QFile file(fileUrl.toLocalFile());
    int columns = -9;
    if( !file.open(QFile::ReadOnly |QFile::Text)){
        qDebug() << "File doesn't exist";
        file.close();
        return columns;
    }
    else {
        QString delimiter = ",";
        QTextStream in(&file);
        //first check to make sure there aren't any problems
        QString firstLine = in.readLine();
        columns = firstLine.split(delimiter).length();
        while(!in.atEnd())
        {
            QString line = in.readLine();
            if(line.split(delimiter).length() != columns){
                qDebug() << "Wrong number of parameters" << line.split(delimiter).length();
                file.close();
                return -9;
            }
        }
    }
    file.close();
    return columns;
}
