
//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef GATDATAEXPORT_H
#define GATDATAEXPORT_H

#include <QFile>
#include <QAbstractItemModel>

class QTextStream;

class GATDataExport
{

public:
    enum exportType {
        CSV = 0,
        XML
    };

    GATDataExport();
    GATDataExport(QString fileName);
    ~GATDataExport();
    bool setFileName(QString fileName);
    bool exportFile(const int mode);
    void setModel(QAbstractItemModel *model);
    void closeFile();

private:
    QFile* mFile;
    bool exportCSV();
    bool exportXML();
    void exportHeader(QTextStream &);
    void exportCSVTable(QTextStream &textStream, QModelIndex &parent);
    QAbstractItemModel* mModel;

};

#endif // GATDATAEXPORT_H
