#include "gatrubberband.h"
#include <QPaintEvent>
#include <QPainter>
#include <QDebug>

GATRubberBand::GATRubberBand(QWidget* parent) : QWidget(parent)
{
    this->setContentsMargins(0,0,0,0);
}

void GATRubberBand::setStartPoint(QPoint point)
{
    qDebug() << "GATRubberBand::setStartPoint " << point;
    mStartPoint = point;
    mEndPoint =mStartPoint;
    setGeometry(QRect(mStartPoint,QSize()));
    repaint();
}

void GATRubberBand::setEndPoint(QPoint point)
{
    qDebug() << "GATRubberBand::setEndPoint " << point;
    mEndPoint = point;
    setGeometry(QRect(mStartPoint,mEndPoint).normalized());
    repaint();

}

void GATRubberBand::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);

    painter.save();
    painter.setPen(Qt::DashLine);
    painter.drawLine(mapFromParent(mStartPoint),mapFromParent(mEndPoint));
    painter.drawLine(mapFromParent(mStartPoint).x(),mapFromParent(mStartPoint).y(),mapFromParent(mStartPoint).x(),mapFromParent(mEndPoint).y());
    painter.drawLine(mapFromParent(mStartPoint).x(),mapFromParent(mEndPoint).y(),mapFromParent(mEndPoint).x(),mapFromParent(mEndPoint).y());
    painter.restore();
}
