#ifndef GATSCALEBAR_H
#define GATSCALEBAR_H

#include <QGraphicsItem>
#include <QGraphicsView>

class GATScaleBar : public QGraphicsItem
{

public:
    GATScaleBar(QGraphicsItem* parent = nullptr);
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    QRectF boundingRect() const override;
    void setPosition(const QPointF position);
    void setView(QGraphicsView *);
    void updatePosition();
private:
    QPointF topLeft;
    QPointF bottomRight;
    QGraphicsView *mView; //this is used to keep the view relevant to the scale bar.
};

#endif // GATSCALEBAR_H
