//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include "importcsvfiledialog.h"
#include <QLayout>

importCSVFileDialog::importCSVFileDialog(QWidget *parent) : QDialog(parent)
{
    importType = new QComboBox();

    importType->addItem("Import Alignment Station Offset Elevation");
    importType->addItem("Import Northing, Easting, Elevation");

    okButton = new QPushButton("Read File");
    cancelButton = new QPushButton("Cancel");
    QLayout *buttonLayout = new QHBoxLayout();
    buttonLayout->addWidget(okButton);
    buttonLayout->addWidget(cancelButton);
    QLayout* mainLayout = new QVBoxLayout();
    mainLayout->addWidget(importType);
    mainLayout->addItem(buttonLayout);
    this->setLayout(mainLayout);
    QObject::connect(okButton,&QPushButton::clicked,this, &importCSVFileDialog::accept);
    QObject::connect(cancelButton, &QPushButton::clicked, this, &importCSVFileDialog::reject);
}

importCSVFileDialog::~importCSVFileDialog()
{
    delete importType;
}

int importCSVFileDialog::getImportType()
{
    return importType->currentIndex();
}



