//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

//Splash screen credit: https://wiki.qt.io/How_to_create_a_splash_screen_with_an_induced_delay

//This is for implamentation of QtWidgets

#include "mainwindow.h"
#include <QApplication>
#include <QSplashScreen>
#include <qthread.h>
#include "mobilestyle.h"

class I : public QThread
{
public:
    static void sleep(unsigned long secs) { QThread::sleep(secs); }
};

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setStyle(new MobileStyle);
    QPixmap splashPixmap(":/images/splash.jpg");
    QSplashScreen splash(splashPixmap);
    splash.show();
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    //I::sleep(1);
    MainWindow w;
 //   w.showMaximized();
    w.show();
    splash.finish(&w);

    return a.exec();
}
