#include "measurementitemdelegate.h"
#include <QComboBox>
#include "profilemeasurementtypes.h"

MeasurementItemDelegate::MeasurementItemDelegate(QObject *parent): QItemDelegate (parent)
{

}

QWidget *MeasurementItemDelegate::createEditor(QWidget *parent,
       const QStyleOptionViewItem &option,
       const QModelIndex &index) const
{
    QComboBox *editor = new QComboBox(parent);
    ProfileMeasurementTypes profileMeasurementTypes;
    for(int i = 0; i < profileMeasurementTypes.measurementsCount(); i++){
        editor->addItem(profileMeasurementTypes.getTypeName(i));
    }

    return editor;
}

void MeasurementItemDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    int value = index.model()->data(index, Qt::EditRole).toInt();

    QComboBox *comboBox = static_cast<QComboBox*>(editor);
    comboBox->setCurrentIndex(value);
}

void MeasurementItemDelegate::setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const
{
    QComboBox *comboBox = static_cast<QComboBox*>(editor);
    int value = comboBox->currentIndex();
    model->setData(index, value, Qt::EditRole);
}

void MeasurementItemDelegate::updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const
{
    editor->setGeometry(option.rect);
}
