#ifndef POINTGRAPHICSITEM_H
#define POINTGRAPHICSITEM_H

#include <QGraphicsItem>
#include <QGraphicsSceneMouseEvent>
#include "gatcoordinatetransform.h"

class PointGraphicsItem : public QGraphicsItem
{
public:
    PointGraphicsItem(QGraphicsItem* parent = nullptr);
    void setPosition(double easting, double northing);
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override;
    QRectF boundingRect() const override;
    qreal width() const;
    qreal height() const;
    void setPos();

private:
    double mNorthing;
    double mEasting;
    double mRadius;
    const GATCoordinateTransform mCoordinateTransform;

};

#endif // POINTGRAPHICSITEM_H
