#ifndef POINTLAYER_H
#define POINTLAYER_H

#include <QGraphicsItemGroup>
#include <QObject>
#include "pointsmodel.h"
#include "pointgraphicsitem.h"
#include <QPersistentModelIndex>
#include <QHash>


class PointLayer : public QObject, public QGraphicsItemGroup
{
    Q_OBJECT
public:
    PointLayer(QGraphicsItem *parent = nullptr);
    void setModel(PointsModel* model);
    void loadPoints();
    void clearPoints();
    QRectF boundingRect() const override;
public slots:
    void modelReset();
    void modelAboutToBeReset();
    void dataChanged(const QModelIndex&topLeft, const QModelIndex &bottomRight, const QVector<int> &roles);
    void rowsInserted(const QModelIndex &parent, int first, int last);
    void rowsAboutToBeRemoved(const QModelIndex&parent, int first, int last);
private:
    PointsModel* mPointsModel;
    QHash<PointGraphicsItem*, QPersistentModelIndex> mIndexPointHash;

    void removePoint(PointGraphicsItem* point);

};

#endif // POINTLAYER_H
