//Geomorphic Assessment Tools (GAT) for processing geomorphic survey data
//Copyright (C) 2019 Tailwater Limited, Andrea Taillacq

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifndef POINTSWIDGET_H
#define POINTSWIDGET_H

#include <QtCore/QVariant>

#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableView>

#include <QItemSelectionModel>

class PointsModel;

class PointsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit PointsWidget(QWidget *parent = nullptr);

    void setModel(PointsModel*);
    void setSelectionModel(QItemSelectionModel * selectionModel);
    void setupUi(QWidget * PointsWidget);
    //QSize sizeHint() const override;
    void connectSignals();

public slots:
    void databaseUpdatedSlot() const;
    void getNEZDFileImport();

signals:
    void addPoint(double n=0, double e=0, double z=0, QString d="") const;
    void databaseUpdated() const;

private slots:
    void addPointDialog() const;


private:
 
    void setupPointsList();

    PointsModel * mPointsModel;
    QTableView *mPointsTable;
    QPushButton *addPointButton;
    QPushButton *importPointButton;
};

#endif // POINTSWIDGET_H
