#include "profileeditor.h"
#include <QMessageBox>


ProfileEditor::ProfileEditor(QWidget* parent) : QWidget(parent)
{
    setupUi();
}

void ProfileEditor::setModel(ProfileModel *model)
{
    mModel = model;

    mMapper = new QDataWidgetMapper(this);
    mMapper->setModel(mModel);
    mMapper->addMapping(mDescription,1);
    mMapper->addMapping(mSlope, 2);
    mMapper->addMapping(mD84,3);
    mMapper->setSubmitPolicy(QDataWidgetMapper::ManualSubmit);
    mMapper->toFirst();

    QObject::connect(mSaveButton, &QPushButton::clicked, mMapper, &QDataWidgetMapper::submit);
    QObject::connect(mCloseButton, &QPushButton::clicked, this, &QWidget::close);
    QObject::connect(mDeleteButton, &QPushButton::clicked, this, &ProfileEditor::deleteProfile);
}

void ProfileEditor::setIndex(const QModelIndex & currentIndex)
{
    mMapper->setCurrentModelIndex(currentIndex);
}

void ProfileEditor::deleteProfile()
{
    QMessageBox msg;
    msg.setText("About to delete profile are you sure? Haven't programmed the dual buttons so here goes nothing!");
    msg.exec();

    mModel->removeRow(mMapper->currentIndex());
    this->close();

}

void ProfileEditor::setupUi()
{
    mDescription = new QLineEdit;
    mSlope = new QLineEdit();
    mD84 = new QLineEdit();

    mSaveButton = new QPushButton("Save");
    mCloseButton = new QPushButton("Close");
    mDeleteButton = new QPushButton("Delete");

    mLayout = new QFormLayout();

    mLayout->addRow(tr("Description"), mDescription);
    mLayout->addRow(tr("Slope"), mSlope);
    mLayout->addRow(tr("D84)"), mD84);

    mLayout->addRow(mSaveButton, mCloseButton);
    mLayout->addRow(mDeleteButton);
    setLayout(mLayout);

}
