#ifndef PROFILEEDITOR_H
#define PROFILEEDITOR_H

#include <QWidget>
#include "profilemodel.h"
#include <QLineEdit>
#include <QLabel>
#include <QFormLayout>
#include <QDataWidgetMapper>
#include <QPushButton>

class ProfileEditor : public QWidget
{
    Q_OBJECT
public:
    ProfileEditor(QWidget* parent = nullptr);
    void setModel(ProfileModel * model);
    void setIndex(const QModelIndex & index);

private slots:
    void deleteProfile();

private:
    ProfileModel* mModel;
    QLineEdit* mDescription;
    QLineEdit* mSlope;
    QLineEdit* mD84;

    QFormLayout* mLayout;

    QPushButton* mSaveButton;
    QPushButton* mCloseButton;
    QPushButton* mDeleteButton;

    QDataWidgetMapper* mMapper;
    void setupUi();
};

#endif // PROFILEEDITOR_H
